// Copyright (C) 1996 by Wolfgang Platzer
// email: wplatzer@iaik.tu-graz.ac.at
//
// All rights reserved.
//
// Redistribution and use in source and binary forms, with or without
// modification, are permitted provided that the following conditions
// are met:
// 1. Redistributions of source code must retain the above copyright
//    notice, this list of conditions and the following disclaimer.
// 2. Redistributions in binary form must reproduce the above copyright
//    notice, this list of conditions and the following disclaimer in the
//    documentation and/or other materials provided with the distribution.
//
// THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
// ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
// IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
// ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
// FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
// DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
// OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
// HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
// LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
// OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
// SUCH DAMAGE.
//

package cryptiX.apps;

import java.io.IOException;
import cryptiX.user.X509Certificate;
import cryptiX.asn1.CodingException;

class verify {

    public static void main(String args[]) throws IOException {

        X509Certificate ca = null;
        X509Certificate cert = null;

        int i=0;

        try {
            if (args.length > 0) {
                if (args[i].equals("-CAfile")) {
                    ca = new X509Certificate(args[++i]);
                    i++;
                }
                cert = new X509Certificate(args[i]);
            }
            else {
                System.out.println("");
                System.out.println("usage: verify [-CAfile file] cert");
                System.exit(0);
            }
        } catch (CodingException ex) {
            System.out.println("Error decoding "+args[i]+" : "+ex.getMessage());
            System.exit(0);
        } catch (IOException ex) {
            System.out.println("Error loading file "+args[i]+" : "+ex.getMessage());
            System.exit(0);
        }

        if (ca == null) {
            ca = cert;
            cert = null;
        }

        try {
            if (ca.verify() == true)
                System.out.println("Self Signed Certificate OK!");
            else
                System.out.println("Self Signed Certificate NOT OK!");

            if (cert != null) {
                if (cert.verify(ca.publicKey()) == true)
                    System.out.println("Signed Certificate OK!");
                else
                    System.out.println("Signed Certificate NOT OK!");
            }
        } catch (CodingException ex) {
            System.out.println("Error verifying certificate: "+ex.getMessage());
        }
    }
}

