//
// ArrayEnumeration.java --
//
// Author: Pekka Nikander <pnr@tequila.nixu.fi>
//
// Copyright 1996 by Nixu Oy, Helsinki, Finland
//
// Created: Tue Mar 19 15:54:23 1996
// Last modified: Mon Apr  1 00:01:34 1996 pnr
//

package cryptiX.utils;

/**
 * This class implements a simple Enumeration over an array.
 * @see java.util.Enumeration
 */

public final class ArrayEnumeration implements java.util.Enumeration {
  private Object[] data;
  private int count;
  private int last;

  public ArrayEnumeration(Object[] array, int length) {
    data  = array;
    last  = length;
    count = 0;
  }

  public boolean hasMoreElements() {
    return count < last;
  }

  public synchronized Object nextElement() {
    if (count < last)
      return data[count++];
    throw new java.util.NoSuchElementException("ArrayEnumeration");
  }
}

