//
// NullEnumeration.java --
//
// Author: Pekka Nikander <pnr@tequila.nixu.fi>
//
// Copyright 1996 by Nixu Oy, Helsinki, Finland
//
// Created: Tue Mar 19 13:51:15 1996
// Last modified: Mon Apr  1 00:01:46 1996 pnr
//

package cryptiX.utils;

/**
 * This class implements the null Enumeration, or an enumeration
 * whose hasMoreElements() returns always false, and
 * nextElement always throws NoSuchElementException.
 * @see java.util.Enumeration
 */

public final class NullEnumeration implements java.util.Enumeration {
  /**
   * Returns always false.
   */
  public boolean hasMoreElements() { return false; }

  /**
   * Throws always NoSuchElementException
   */
  public Object nextElement() {
    throw new java.util.NoSuchElementException("NullEnumeration");
  }
}
